

This directory includes the files needed to train the parser
by reading in in treebank data and collecting the needed probabilities.

Note that while many of the files have the same names as those
of the parser, often they are slightly different and thus this
directory must be kept separate from that of the parser.

To execute the training regieme, execute

allScript -directory-for-data- -training-files- -development-files-

e.g.,

allScript /pro/dpg/hpp/dist6b/DATA/  "/pro/dpg/ecdata/cp/train.txt"  "/pro/dpg/ecdata/cp/test.main"

The directory where the data goes needs to contain the following
files.  Some (featInfo.*) tell the data collection programs exactly
what features to attend to, the rest are data files that are
not recreated by allScript because the data they contain are less
variable (e.g., typical two-letter endings for different parts of speech). 

-rw-r--r--    1 ec       ai          26015 Aug 22  2000 endings.txt
-rw-r--r--    1 ec       ai            258 Aug 22  2000 featInfo.h
-rw-r--r--    1 ec       ai            411 Aug 22  2000 featInfo.l
-rw-r--r--    1 ec       ai             94 Aug 22  2000 featInfo.lm
-rw-r--r--    1 ec       ai            298 Aug 22  2000 featInfo.m
-rw-r--r--    1 ec       ai            405 Aug 22  2000 featInfo.r
-rw-r--r--    1 ec       ai             91 Aug 22  2000 featInfo.rm
-rw-r--r--    1 ec       ai             65 Aug 22  2000 featInfo.ru
-rw-r--r--    1 ec       ai             58 Aug 22  2000 featInfo.tt
-rw-r--r--    1 ec       ai            181 Aug 22  2000 featInfo.u
-rw-r--r--    1 ec       ai            802 Aug 22  2000 headInfo.txt
-r--r--r--    1 ec       ai            607 Aug 22  2000 nttCounts.txt
-rw-r--r--    1 ec       ai           1078 Aug 22  2000 pUgT.txt
-rw-r--r--    1 ec       ai            656 Aug 22  2000 terms.num
-rw-r--r--    1 ec       ai            461 Aug 22  2000 terms.txt


The development files referred to above must be distinct from the
training files and the testing files.  They are needed to train
the parser's deleted interpolation smoothing parameters.


